#ifndef __SHAPE_OP_1ARG__
#define __SHAPE_OP_1ARG__
#include "shape.h"

/* assumes existence of elemop_name */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{                                                                             
  Shape oo, ii;                                                           
  if ( nrhs != 1 )
    mexErrMsgTxt("Exactly one argument expected.");
  ii = shape_readmxarray(prhs[0]);                                      
  oo = elemop_name(ii);
  plhs[0] = mxDuplicateArray(prhs[0]);
  shape_rewritemxarray(plhs[0],oo);
  shape_free(ii);
  shape_free(oo);
}

#endif
